"This app is incompatible with this phone"

Discussion in 'iPhone Tips, Help and Troubleshooting' started by danpass, Oct 13, 2011.

  1. danpass macrumors 68020

    danpass

    Joined:
    Jun 27, 2009
    Location:
    Miami, FL
    #1
    This is the error message I get when I hit Update All in the Apple App Store app.

    SINCE WHEN?! I DIDN'T CHANGE ANYTHING!

    Now it wants me to update 14 programs one by one?

    **** ***** ********** ******** ******?

    An asteroid strike leveling downtown I can deal with, it's stupid little crap like this that irritates me :rolleyes:


    I already closed the app and restarted. I already powered down the phone then restarted.

    Other ideas that can force this to work AS IT ALWAYS HAS?


    -
     
  2. danpass thread starter macrumors 68020

    danpass

    Joined:
    Jun 27, 2009
    Location:
    Miami, FL
    #2
    Ok so apparently the iMovie and Pages updates that show up in my iPhone are "incompatible with this device".

    iMovie doesn't actually say that iOS 5 (I haven't installed it yet) is required and I didn't read all of the notes from the Pages app but I suspect that is the same issue.
    :rolleyes:
     
  3. tkambitsch macrumors newbie

    Joined:
    Jul 11, 2008
    #3
    I had 65 updates waiting and since the error message does specify which app I did some hunting and found that Pages is the culprit. With a jail token phone I cannot update to IOS 5. What to do?
     

Share This Page